AUTOMAKE_OPTIONS =

RUST_SOURCES = \
	src/array.rs \
	src/bag.rs \
	src/data.rs \
	src/defines.c \
	src/defines.rs \
	src/find_file.rs \
	src/hash_table.rs \
	src/handlers.rs \
	src/lib.rs \
	src/memory.rs \
	src/notification.rs \
	src/prop_list.rs \
	src/range.rs \
	src/sendable.rs \
	src/string.rs \
	src/tree.rs

RUST_EXTRA = \
	Cargo.lock \
	Cargo.toml

Cargo.lock:
	$(CARGO) build

target/debug/libwutil_rs.so: $(RUST_SOURCES) $(RUST_EXTRA)
	$(CARGO) build

check-local:
	$(CARGO) test

clean-local:
	$(CARGO) clean

all: target/debug/libwutil_rs.so
